### Hierarchy

- ObservableUndefinedEvents
  - HistoricalUndefinedEvents

## Index

### Events

- DETACHED
- MODEL_CHANGED
- REFERENCE
- VALUE

## Events

### DETACHED

DETACHED: string

Inherited from ObservableObjectEvents.DETACHED

Emitted when this element becomes detached, which typically happens when the element is removed from its parent. An ElementDetachedEvent is the actual emitted event.

### MODEL_CHANGED

MODEL_CHANGED: string

Inherited from ObservableObjectEvents.MODEL_CHANGED

Emitted when any child element of this element has a change. See ModelChangedEvent for details.

### REFERENCE

REFERENCE: string

Inherited from ObservableObjectEvents.REFERENCE

Emitted when a remote reference is created on this RealTimeElement. See RemoteReferenceCreatedEvent for the actual emitted event.

### VALUE

VALUE: string

Inherited from ObservableElementEvents.VALUE

Emitted when the value of a RealTimeElement is set. See the IValueChangedEvent interface.